﻿#language: ru

Функционал: Выпуск сыра с контейнера

Сценарий: Выпуск сыра с контейнера
	Дано Я подключаюсь под "Бригада на комплектации"
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно "Смены"
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Смена24'|
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маркировка'      |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку "Поштучный выпуск с контейнера"	
	Тогда открылось окно "Поштучный выпуск*"
	И я запоминаю значение выражения '"030000003" + Прав(СтрЗаменить(Год(ТекущаяДата()),Символы.НПП, ""),2)' в переменную "Штрихкод"
	И я жду доступности элемента "Штрихкод" в течение 10 секунд
	И в поле "Штрихкод" я ввожу значение переменной "Штрихкод"
	И Пауза 1
	И я нажимаю на кнопку с именем "КомандаПриступить"
	И     элемент формы с именем "ДекорацияВыбраннаяНоменклатура" стал равен 'Российский 50% / Созревший / 12.03.2019/1'
	И     элемент формы с именем "НоменклатураКороба" стал равен 'Короб'
	И     элемент формы с именем "ВыбраннаяУпаковка" стал равен 'упак (7 кг)'
	И я нажимаю на кнопку 'КомандаУстановитьСсылкуНовогоПаллета'
	И в поле с именем 'ВесВесов' я ввожу текст '2,000'
	И я перехожу к следующему реквизиту
	Тогда открылось окно 'Печать документа'
	И в табличном документе 'ТекущаяПечатнаяФорма' я перехожу к ячейке "R1C1:R1C9"
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно "Поштучный выпуск*"
	И я нажимаю на кнопку 'КомандаЗаписатьПаллетыИКороба'
	Тогда открылось окно 'Введите вес брутто для *'
	И я нажимаю на кнопку '9'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Печать документа'
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно 'Печать комплекта'
	И Я закрываю окно 'Печать комплекта'	
	И я закрываю окно "Поштучный выпуск*"
	И я нажимаю на кнопку "Выпуск в коробах с контейнера"
	Тогда открылось окно "Выпуск в коробах*"
	И я жду доступности элемента "Штрихкод" в течение 10 секунд
	И в поле "Штрихкод" я ввожу значение переменной "Штрихкод"
	И Пауза 1
	И я нажимаю на кнопку с именем "КомандаПриступить"
	И я нажимаю на кнопку 'КомандаУстановитьСсылкуНовогоПаллета'
	И     элемент формы с именем "ДекорацияВыбраннаяНоменклатура" стал равен 'Российский 50% / Созревший / 12.03.2019/1'
	И     элемент формы с именем "НоменклатураКороба" стал равен 'Короб'
	И     элемент формы с именем "ВыбраннаяУпаковка" стал равен 'упак (7 кг)'
	И в поле с именем 'ВесВесов' я ввожу текст '3,000'
	И я перехожу к следующему реквизиту
	Тогда открылось окно 'Печать документа'
	И в табличном документе 'ТекущаяПечатнаяФорма' я перехожу к ячейке "R1C1:R1C9"
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно "Выпуск в коробах*"
	И я нажимаю на кнопку 'КомандаПечатьЭтикеткиПаллета'
	Тогда открылось окно 'Печать комплекта'
	И в таблице "НастройкиПечатныхФорм" я перехожу к строке:
		| 'Копий' | 'Печатать' | 'Печатная форма'                  |
		| '1'     | 'Да'       | 'Спецификация упаковочного листа' |
	И Я закрываю окно 'Печать комплекта'
	Тогда открылось окно "Выпуск в коробах*"
	И я нажимаю на кнопку 'КомандаЗаписатьПаллетыИКороба'
	Тогда открылось окно 'Введите вес брутто для *"'
	И я нажимаю на кнопку '9'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Печать комплекта'
	И Я закрываю окно 'Печать комплекта'
	Тогда открылось окно "Выпуск в коробах*"
	И я меняю значение переключателя 'ВидОперации' на 'Брак'
	И я нажимаю кнопку выбора у поля "Короб"
	Тогда открылось окно 'Номенклатура'
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно "Выпуск в коробах*"
	И я нажимаю кнопку выбора у поля "ВыбраннаяУпаковка"
	Тогда открылось окно 'Выберите упаковку'
	И в таблице "Список" я перехожу к строке:
		| 'Упаковка'    |
		| 'упак (7 кг)' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно "Выпуск в коробах*"
	И я нажимаю на кнопку 'КомандаДобавитьБрак'
	И в поле с именем 'ВесВесовБрак' я ввожу текст '2,000'
	И я перехожу к следующему реквизиту
	И в таблице "Брак" я нажимаю кнопку выбора у реквизита "Причина"
	Тогда открылось окно 'Причины брака'
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно "Выпуск в коробах*"
	И в таблице "Брак" я завершаю редактирование строки
	И я нажимаю на кнопку 'КомандаСохранитьБрак'
	Тогда открылось окно "Выпуск в коробах*"
	И я закрываю окно "Выпуск в коробах*"